Package com.smartgwt.client.widgets.form.validator

# Class FloatPrecisionValidator

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.form.validator.Validator
com.smartgwt.client.widgets.form.validator.FloatPrecisionValidator

All Implemented Interfaces:
  `HasHandlers`

public class FloatPrecisionValidator extends Validator
Tests whether the value for this field is a floating point number with the appropriate number of decimal places - specified in validator.precision If the value is of higher precision, if validator.roundToPrecision is specified, the value will be rounded to the specified number of decimal places and validation will pass, otherwise validation will fail.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FloatPrecisionValidator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setPrecision(int precision)`
  Deprecated.
  Use `Validator.setPrecision(Integer)` instead.
  `void`
  `setRoundToPrecision(int roundToPrecision)`
  Deprecated.
  Use `Validator.setRoundToPrecision(Boolean)` instead.

  ### Methods inherited from class com.smartgwt.client.widgets.form.validator.Validator

  `addValidatorDefinition, create, getApplyWhen, getCheckComponentData, getClientOnly, getCondition, getDependentFields, getFailWhen, getOrCreateRef, getPassWhen, getPrecision, getRoundToPrecision, getStopIfFalse, getStopOnError, getType, getTypeAsString, getValidateOnChange, setApplyWhen, setCheckComponentData, setClientOnly, setCondition, setDependentFields, setErrorMessage, setFailWhen, setPassWhen, setPrecision, setRoundToPrecision, setStopIfFalse, setStopOnError, setType, setType, setValidateOnChange`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FloatPrecisionValidator

    public FloatPrecisionValidator()

- ## Method Details

  - ### setPrecision

    @Deprecated public void setPrecision(int precision)
    Deprecated.
    Use `Validator.setPrecision(Integer)` instead.
    Set the precision.
    Parameters:
      `precision` - the precision

  - ### setRoundToPrecision

    @Deprecated public void setRoundToPrecision(int roundToPrecision)
    Deprecated.
    Use `Validator.setRoundToPrecision(Boolean)` instead.
    Set the roundToPrecision.
    Parameters:
      `roundToPrecision` - the roundToPrecision